%define debug_package %{nil}

Name:		bluez-firmware
Version:	0.1.git.1.e092e1a3.dirty.1owrmu
Release:	1%{?dist}
Summary:	Bluetooth firmware for Raspberry Pi

License:	GPLv2+
URL:		http://www.bluez.org
VCS:		git+git@github.com:Leuca/bluez-firmware.git#:

Source:		bluez-firmware-e092e1a3-dirty.tar.gz

BuildRequires:	make

Requires:	bluez

%description
This firmware is required for the successful operation of Broadcom based USB
dongles.

%prep
%setup -T -b 0 -q -n bluez-firmware

%build
%configure  --libdir=%{_prefix}/lib
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS README INSTALL ChangeLog broadcom/BCM-LEGAL.txt
%{_prefix}/lib/firmware/BCM2033-MD.hex
%{_prefix}/lib/firmware/BCM2033-FW.bin
%ghost %{_prefix}/lib/firmware/BCM-LEGAL.txt
%{_prefix}/lib/firmware/STLC2500_R4_00_03.ptc
%{_prefix}/lib/firmware/STLC2500_R4_00_06.ssf
%{_prefix}/lib/firmware/STLC2500_R4_02_02_WLAN.ssf
%{_prefix}/lib/firmware/STLC2500_R4_02_04.ptc


%changelog
* Mon Jul 04 2022 Luca Magrone <luca.magrone@me.com> 0.1-1
- Create pull.yml
- Braktooth fix for CYW43455
- 1.2-4+rpt8 release
- Second Spectra fix for CYW43455 (CVE-2020-10370)
- 1.2-4+rpt7 release
- Bug fix CYW43455 firmware
- 1.2-4+rpt6 release
- Add BCM43430B0.hcd
- 1.2-4+rpt5 release
- 1.2-4+rpt4 release
- 1.2-4+rpt3 release
- Update to BCM43455 firmware with Spectra fixes
- Update to BCM43438 firmware with Spectra fixes
- Add BCM4345C5.hcd
- Post-Sweyntooth update of BCM43430A1 and BCM4345C0 hcds
- 1.2-4+rpt2 release
- Rebase on Buster release
- Update broadcom/BCM4345C0.hcd
- Update broadcom/BCM4345C0.hcd
- Update changelog
- Update license information
- Apply quilt patches
- Import bluez-firmware_1.2-3+rpt4.1.debian.tar.xz
- Import bluez-firmware_1.2.orig.tar.gz
